# references
 - https://www.circuitschools.com/interfacing-16x2-lcd-module-with-raspberry-pi-pico-with-and-without-i2c/
 - Interrupts [ref](https://docs.micropython.org/en/latest/library/machine.Pin.html#machine.Pin.irq) \
Pin.irq(handler=None, trigger=Pin.IRQ_FALLING | Pin.IRQ_RISING, *, priority=1, wake=None, hard=False)
```  python
SW3 = Pin(("GPIO_0", 4), Pin.IN)
SW3.irq(lambda t: print("SW3 changed"))
```
  - [Using flash memory as non-volatile storage on the Pi Pico microcontroller](https://kevinboone.me/picoflash.html?i=2)
 - https://pypi.org/project/littlefs-python/
  - [buzzer reference](https://www.tomshardware.com/how-to/buzzer-music-raspberry-pi-pico)